<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-building-running.qdoc -->
  <title>Building and Running | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Building and Running</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-scxml.html" />
  <link rel="next" href="creator-live-preview.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-scxml.html">Editing State Charts</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-live-preview.html">Previewing</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#related-topics">Related Topics</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Building and Running</h1>
<span class="subtitle"></span>
<!-- $$$creator-building-running.html-description -->
<div class="descr"> <a name="details"></a>
<p class="centerAlign"><img src="images/creator_buildingrunning.png" alt="" /></p><p>Qt Creator provides support for running and deploying Qt applications built for different target platforms, or using different compilers, debuggers, or Qt versions. <a href="creator-glossary.html#glossary-buildandrun-kit">Kits</a> define the tools, <a href="creator-glossary.html#glossary-device">device</a> type and other settings to use when building and running your project.</p>
<ul>
<li><a href="creator-live-preview.html">Previewing</a><p>You can use the QML live preview to preview a QML file or an entire Qt Quick application on the desktop, as well as on Android and embedded Linux devices. The changes you make to the UI are instantly visible to you in the preview.</p>
</li>
<li><a href="creator-building-targets.html">Building for Multiple Platforms</a><p><i>Build configurations</i> contain everything you need to compile the sources into binaries. Build configurations use the tools and settings defined in their corresponding kit.</p>
</li>
<li><a href="creator-running-targets.html">Running on Multiple Platforms</a><p><i>Run configurations</i> start the application in the location where it was copied by the <i>deploy configuration</i>. By default, when you select the <b>Run</b> function, Qt Creator builds the project, deploys it to the device defined in the kit, and runs it there. However, if you have not made any changes to the project since you last built and deployed it, Qt Creator simply runs it again.</p>
</li>
<li><a href="creator-deployment.html">Deploying to Devices</a><p><i>Deploy configurations</i> handle the packaging and copying of the necessary files to a location you want to run the executable at. The files can be copied to a location in the file system of the development PC or a device.</p>
</li>
<li><a href="creator-connecting-mobile.html">Connecting Devices</a><p>When you install tool chains for device types as part of a Qt distribution, the build and run settings for the devices might be set up automatically. However, you might need to install and configure some additional software on the devices to be able to connect to them from the development PC.</p>
</li>
</ul>
<a name="related-topics"></a>
<h2 id="related-topics">Related Topics</h2>
<ul>
<li><a href="creator-build-process-customizing.html">Customizing the Build Process</a><p>By default, running an application also builds it and deploys it to a location from where it can be run on the device. You can change the relationship between the build, run, and deploy configurations.</p>
</li>
</ul>
</div>
<!-- @@@creator-building-running.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-scxml.html">Editing State Charts</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-live-preview.html">Previewing</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
